% Creates a blurring operator for the Y axis.
function res = calc_y(SuS, cygmah)
% SuS - size of the image boundaries
% cygmah - the sigma blur
    bk = GKernel(-1 : 1, cygmah);
    sum2=sum(bk(:));
    bk = bk ./ sum2;
    mult = prod(SuS);
    row1 = zeros(1, mult);
   
    col1 = zeros(1, mult);
    
    row1([ end 1 2 ] ) = bk;
    col1(2) = row1(2);
    col1(1) = row1(1);
    
    res = toeplitz(col1, row1);
end